---
title: PhotoCapabilities.redEyeReduction
slug: Web/API/PhotoCapabilities/redEyeReduction
tags:
  - API
  - Experimental
  - Image
  - Image Capture
  - Media
  - MediaStream Image Capture API
  - PhotoCapabilities
  - Property
  - Read-only
  - Reference
---
<div>{{APIRef("MediaStream Image")}}</div>

<p>The <strong><code>redEyeReduction</code></strong> read-only property of the {{domxref("PhotoCapabilities")}} interface returns an enum indicating the red-eye reduction capability of the source.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const <em>redEyeReduction</em> = <em>photoCapabilities</em>.redEyeReduction</pre>

<h3 id="Value">Value</h3>

<p>One of <code>"never"</code>, <code>"always"</code>, or <code>"controllable"</code>.</p>

<dl>
 <dt><code>never</code></dt>
 <dd>Red-eye reduction is not available.</dd>
 <dt><code>always</code></dt>
 <dd>Red-eye reduction is available in the source and it is always turned on.</dd>
 <dt><code>controllable</code></dt>
 <dd>Red-eye reduction is available in the source and it is configurable via the {{domxref("PhotoSettings")}} object.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('MediaStream Image','#dom-photocapabilities-redeyereduction','redEyeReduction')}}</td>
   <td>{{Spec2('MediaStream Image')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.PhotoCapabilities.redEyeReduction")}}</p>
</div>
